org.apache.tinkerpop.gremlin.hadoop.structure.io

## Class CommonFileOutputFormat

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.structure.io.CommonFileOutputFormat

- All Implemented Interfaces:
    PersistResultGraphAware
  Direct Known Subclasses:
    GraphSONOutputFormat, GryoOutputFormat, ScriptOutputFormat

      public abstract class CommonFileOutputFormat
      extends <any>
      implements PersistResultGraphAware

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonFileOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataOutputStream` | `getDataOutputStream(TaskAttemptContext job)`
    `boolean` | `supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonFileOutputFormat

          public CommonFileOutputFormat()

  - ### Method Detail

    - #### getDataOutputStream

          protected DataOutputStream getDataOutputStream(TaskAttemptContext job)
                                                  throws IOException,
                                                         InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### supportsResultGraphPersistCombination

          public boolean supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph,
                                                               GraphComputer.Persist persist)

      Specified by:
        `supportsResultGraphPersistCombination` in interface `PersistResultGraphAware`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.